# Exploring Cardano Improvement Proposals

No action is required in this lesson, but we do encourage you to read some of the Cardano Improvements Proposals listed at [https://cips.cardano.org/](https://cips.cardano.org/)

Earlier in this module, you looked at [CIP-25](https://cips.cardano.org/cips/cip25/), and in the next lesson, you will take a first look at [CIP-68](https://cips.cardano.org/cips/cip68/).

<br />
---

## Suggested CIPs
Everything listed on the Cardano Improvement Proposals web site is worth exploring.

If you are looking for specific places to start, here are some of our suggestions:
- [CIP-1694 - A proposal for entering the Voltaire phase](https://cips.cardano.org/cips/cip1694/): How will on-chain governance work? How will we create a systems of "Minimum Viable Goverance" that provides essential rails for future decision making?
- [CIP-8 - Message Signing](https://cips.cardano.org/cips/cip8/): How can private keys be used to sign *other than* a Cardano transaction?
- [CIP-31 - Reference Inputs](https://cips.cardano.org/cips/cip31/), [CIP-32 - Inline Datums](https://cips.cardano.org/cips/cip32/) and [CIP-33 - Reference Scripts](https://cips.cardano.org/cips/cip33/): What new functionality was added to Cardano after the [Vasil Hard Fork](https://cardanofoundation.org/en/news/the-vasil-hard-fork-a-new-update-to-scale-and-optimize-the-cardano-blockchain/) on 2022-09-22?
- [CIP-57 - Plutus Contract Blueprint](https://cips.cardano.org/cips/cip57/): How might we create a standard for representing smart contracts that can be used across different Dapps and Dapp platforms?

Each of the CIPs listed above is in a different stage of development. CIP-8 is already used in applications on Cardano Mainnet. CIPs 31, 32, and 33 are now live on Cardano and available for anyone to use. CIP-57 and CIP-1694 are works in progress.

### Remember, these are only suggestions! What are some other CIPs that interest you the most?

import MDXLessonLayout from "@/src/components/lms/Lesson/MDXLessonLayout.tsx";
export default ({ children }) => <MDXLessonLayout>{children}</MDXLessonLayout>;
